# Uses of Interface
org.eclipse.e4.core.services.nls.MessageFunction

Packages that use MessageFunction
Package
Description
org.eclipse.e4.core.services.nls
Application programming interfaces for dependency injection of message objects for internationalization.

## Uses of MessageFunction in org.eclipse.e4.core.services.nls

Methods in org.eclipse.e4.core.services.nls with parameters of type MessageFunction
Modifier and Type
Method
Description
`void`
BaseMessageRegistry.`register(MessageConsumer consumer, MessageFunction<M> function)`
Register a consumer and a function that is acting as the supplier of the translation value.